Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fedict.eid.applet.service
Class Identity

    java.lang.Object
      be.fedict.eid.applet.service.Identity

All Implemented Interfaces:
  Serializable

    public class Identity

extends Object
implements Serializable

Holds all fields within the eID identity file. The annotations are used by the TLV parser to parse the identity file as stored in the eID card to an object of this class.

Author:
  Frank Cornelis
See Also:
  `Address`, `TlvField`, `ConvertData`, Serialized Form

Field Summary
`String` | `cardDeliveryMunicipality`
`String` | `cardNumber`
`GregorianCalendar` | `cardValidityDateBegin`
`GregorianCalendar` | `cardValidityDateEnd`
`String` | `chipNumber`
`GregorianCalendar` | `dateOfBirth`
`DocumentType` | `documentType`
`String` | `duplicate`
`String` | `firstName`
`Gender` | `gender`
`String` | `middleName`
`String` | `name`
`String` | `nationality`
`String` | `nationalNumber`
`String` | `nobleCondition` Optional Noble Condition.
`byte[]` | `photoDigest`
`String` | `placeOfBirth`
`SpecialStatus` | `specialStatus`

Constructor Summary
`Identity()`

Method Summary
`String` | `getCardDeliveryMunicipality()`
`String` | `getCardNumber()`
`GregorianCalendar` | `getCardValidityDateBegin()`
`GregorianCalendar` | `getCardValidityDateEnd()`
`String` | `getChipNumber()`
`GregorianCalendar` | `getDateOfBirth()`
`DocumentType` | `getDocumentType()`
`String` | `getDuplicate()`
`String` | `getFirstName()`
`Gender` | `getGender()`
`String` | `getMiddleName()`
`String` | `getName()`
`String` | `getNationality()`
`String` | `getNationalNumber()`
`String` | `getNobleCondition()`
`byte[]` | `getPhotoDigest()`
`String` | `getPlaceOfBirth()`
`SpecialStatus` | `getSpecialStatus()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### cardNumber

    @TlvField(value=1)
    @Mapping(value=@MapsTo(value=be.fedict.eid.applet.service.spi.IdentityDTO.class))
    public String cardNumber

### chipNumber

    @TlvField(value=2)
    @ConvertData(value=ChipNumberDataConvertor.class)
    @Mapping(value=@MapsTo(value=be.fedict.eid.applet.service.spi.IdentityDTO.class))
    public String chipNumber

### cardValidityDateBegin

    @TlvField(value=3)
    @ConvertData(value=ValidityDateDataConvertor.class)
    @Mapping(value=@MapsTo(value=be.fedict.eid.applet.service.spi.IdentityDTO.class))
    public GregorianCalendar cardValidityDateBegin

### cardValidityDateEnd

    @TlvField(value=4)
    @ConvertData(value=ValidityDateDataConvertor.class)
    @Mapping(value=@MapsTo(value=be.fedict.eid.applet.service.spi.IdentityDTO.class))
    public GregorianCalendar cardValidityDateEnd

### cardDeliveryMunicipality

    @TlvField(value=5)
    @Mapping(value=@MapsTo(value=be.fedict.eid.applet.service.spi.IdentityDTO.class))
    public String cardDeliveryMunicipality

### nationalNumber

    @TlvField(value=6)
    @Mapping(value=@MapsTo(value=be.fedict.eid.applet.service.spi.IdentityDTO.class))
    public String nationalNumber

### name

    @TlvField(value=7)
    @Mapping(value=@MapsTo(value=be.fedict.eid.applet.service.spi.IdentityDTO.class))
    public String name

### firstName

    @TlvField(value=8)
    @Mapping(value=@MapsTo(value=be.fedict.eid.applet.service.spi.IdentityDTO.class))
    public String firstName

### middleName

    @TlvField(value=9)
    @Mapping(value=@MapsTo(value=be.fedict.eid.applet.service.spi.IdentityDTO.class))
    public String middleName

### nationality

    @TlvField(value=10)
    @Mapping(value=@MapsTo(value=be.fedict.eid.applet.service.spi.IdentityDTO.class))
    public String nationality

### placeOfBirth

    @TlvField(value=11)
    @Mapping(value=@MapsTo(value=be.fedict.eid.applet.service.spi.IdentityDTO.class))
    public String placeOfBirth

### dateOfBirth

    @TlvField(value=12)
    @ConvertData(value=DateOfBirthDataConvertor.class)
    @Mapping(value=@MapsTo(value=be.fedict.eid.applet.service.spi.IdentityDTO.class))
    public GregorianCalendar dateOfBirth

### gender

    @TlvField(value=13)
    @ConvertData(value=GenderDataConvertor.class)
    @Mapping(value={@MapsTo(value=be.fedict.eid.applet.service.spi.IdentityDTO.class,field="male",convertor=GenderToMaleValueConvertor.class),@MapsTo(value=be.fedict.eid.applet.service.spi.IdentityDTO.class,field="female",convertor=GenderToFemaleValueConvertor.class)})
    public Gender gender

### nobleCondition

    @TlvField(value=14)
    @Mapping(value=@MapsTo(value=be.fedict.eid.applet.service.spi.IdentityDTO.class))
    public String nobleCondition

  Optional Noble Condition.

### documentType

    @TlvField(value=15)
    @ConvertData(value=DocumentTypeConvertor.class)
    public DocumentType documentType

### specialStatus

    @TlvField(value=16)
    @ConvertData(value=SpecialStatusConvertor.class)
    public SpecialStatus specialStatus

### photoDigest

    @TlvField(value=17)
    public byte[] photoDigest

### duplicate

    @TlvField(value=18)
    @Mapping(value=@MapsTo(value=be.fedict.eid.applet.service.spi.IdentityDTO.class))
    public String duplicate

Constructor Detail

### Identity

    public Identity()

Method Detail

### getCardNumber

    public String getCardNumber()

### getChipNumber

    public String getChipNumber()

### getCardValidityDateBegin

    public GregorianCalendar getCardValidityDateBegin()

### getCardValidityDateEnd

    public GregorianCalendar getCardValidityDateEnd()

### getCardDeliveryMunicipality

    public String getCardDeliveryMunicipality()

### getNationalNumber

    public String getNationalNumber()

### getName

    public String getName()

### getFirstName

    public String getFirstName()

### getMiddleName

    public String getMiddleName()

### getNationality

    public String getNationality()

### getPlaceOfBirth

    public String getPlaceOfBirth()

### getDateOfBirth

    public GregorianCalendar getDateOfBirth()

### getGender

    public Gender getGender()

### getNobleCondition

    public String getNobleCondition()

### getDocumentType

    public DocumentType getDocumentType()

### getPhotoDigest

    public byte[] getPhotoDigest()

### getSpecialStatus

    public SpecialStatus getSpecialStatus()

### getDuplicate

    public String getDuplicate()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2010 FedICT. All Rights Reserved.